#ifndef SVK_IMAGES_HPP
#define SVK_IMAGES_HPP

#include "svk_types.hpp"


void transitionImage(VkCommandBuffer cmd, VkImage image, VkImageLayout currentLayout, VkImageLayout newLayout);
void copyImageToImage(VkCommandBuffer cmd, VkImage source, VkImage destination, VkExtent2D srcSize, VkExtent2D dstSize);

#endif // SVK_IMAGES_HPP